View Issue Details

IDProjectCategoryView StatusLast Update
14255Bug reports[All Projects] Theme editorpublic2019-05-29 16:39
ReporterDenisChenuAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14255: Current global theme option didn't update preview
Description

If you update logo or Survey container in Global Theme option (and surely all other) : this was not set in preview

Steps To Reproduce

Go to vanilla option, upload a logo and choose it.
Go to theme edito : logo still the default one

Same with an extend_vanilla.

Additional Information

Maybe don't need all Option, but logo for example seems to be one to have in preview.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.4 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 14559 closeddominikvitt Theme editor load parent theme.css 
related to 14934 closeddominikvitt Survey theme options reset to default 
related to 14941 resolveddominikvitt Variations choosed in Global are not set in preview 

Activities

dominikvitt

dominikvitt

2019-05-15 12:55

developer   ~51948

https://github.com/LimeSurvey/LimeSurvey/commit/dbd5d40cf1ce42fbf6c37e219c35b3a6ec561948

DenisChenu

DenisChenu

2019-05-24 00:19

developer   ~52099

Still not fixed for color or logo.

And : it must be fixed in controller ;).

PS : i think this one : https://bugs.limesurvey.org/view.php?id=14559 is a most important to fix …

dominikvitt

dominikvitt

2019-05-24 18:10

developer   ~52109

It works for both logo and survey container.

c_schmitz

c_schmitz

2019-05-29 16:12

administrator   ~52180

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28897

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52227

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master dbd5d40c

2019-05-15 12:51:18

Dominik Vitt

Details Diff
Fixed issue 14255: Current global theme options don't show in theme editor preview Affected Issues
14255
mod - application/core/LSETwigViewRenderer.php Diff File

Issue History

Date Modified Username Field Change
2018-11-14 15:15 DenisChenu New Issue
2018-11-22 18:10 dominikvitt Assigned To => dominikvitt
2018-11-22 18:10 dominikvitt Status new => assigned
2019-05-15 12:55 dominikvitt Status assigned => resolved
2019-05-15 12:55 dominikvitt Resolution open => fixed
2019-05-15 12:55 dominikvitt Fixed in Version => 3.17.x
2019-05-15 12:55 dominikvitt Note Added: 51948
2019-05-24 00:19 DenisChenu Status resolved => new
2019-05-24 00:19 DenisChenu Resolution fixed => reopened
2019-05-24 00:19 DenisChenu Note Added: 52099
2019-05-24 00:20 DenisChenu Relationship added related to 14559
2019-05-24 00:20 DenisChenu Relationship added related to 14934
2019-05-24 18:10 dominikvitt Status new => resolved
2019-05-24 18:10 dominikvitt Resolution reopened => fixed
2019-05-24 18:10 dominikvitt Note Added: 52109
2019-05-27 18:42 DenisChenu Relationship added related to 14941
2019-05-29 16:12 Changeset attached => LimeSurvey master dbd5d40c
2019-05-29 16:12 c_schmitz Note Added: 52180
2019-05-29 16:39 c_schmitz Note Added: 52227
2019-05-29 16:39 c_schmitz Status resolved => closed